package com.diagbot.util;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "medical")
@PropertySource(value = "sql.properties")
@Data
public class SqlProperties {
    private String recordInfoSql;
    private String recordContentSql;
    private String beHospitalInfoSql;
    private String doctorAdviceSql;
    private String homePageSql;
    private String lisResultSql;
    private String pacsResultSql;
    private String recordTypeSql;
    private String homeDiagnoseInfoSql;
    private String homeOperationInfoSql;
    private String crisisInfoSql;
    private String pacsInfoSql;
    private String lisInfoSql;
}
