package com.diagbot.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 消息通知--查看消息通知详情-接口入参
 * @Author songxl
 * @Date 2022/4/13 9:20
 */
@ApiModel(value = "消息通知--查看消息通知详情-接口入参")
@Getter
@Setter
public class GetNewsNoticeInfoByIdVO implements Serializable {
    private static final long serialVersionUID = -5417451681904770048L;

    @ApiModelProperty(value = "消息通知编号",required = true)
    @NotNull(message = "消息通知编号为空")
    private Long id;

    @ApiModelProperty(value = "阅读状态 0:未读 1:已读",required = true)
    @NotNull(message = "阅读状态为空")
    private String status;
}
