package com.diagbot.vo.his;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class FeedbackHosVO {

    private String ids;

    private Long id;
    /**
     * 操作类型 1:修改|2:删除|3:新增已有|4:新增缺失|5:恢复
     */
    private String operationType;

    /**
     * 发送人编号
     */
    private String senderCode;

    /**
     * 发送人姓名
     */
    private String senderName;

    /**
     * 住院科室ID
     */
    private String deptId;

    /**
     * 住院科室名称
     */
    private String deptName;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 模块名称
     */
    private String modeName;

    /**
     * 提示信息
     */
    private String qcresultDetailMsg;

    /**
     * 人工修改分值
     */
    private BigDecimal qcresultDetaiScore;

    /**
     * 反馈说明
     */
    private String explainInfo;

    /**
     * 接收人编号
     */
    private String receiverCode;

    /**
     * 接收人姓名
     */
    private String receiverName;

    /**
     * 抄送人编号集合
     */
    private String ccCodes;

    /**
     * 抄送人姓名集合
     */
    private String ccNames;

    private String msgStatus;
}
